@mixin btn-mask($tx, $bg, $h-tx, $h-bg) {
    color:              $tx;
    background-color:   $bg;
    border-color:       $bg;

    @media screen and (min-width: 1380px) {
        &:hover{
            color:              $h-tx;
            background-color:   $h-bg;
            border-color:       $h-bg;
        }
    }
}

@mixin btn-outline-mask($c) {
    color: $c;
    border-color: $c;
    background-color: rgba($color: #000000, $alpha: 0);

    @media screen and (min-width: 1380px) {
        &:hover{
            color: #fff;
            background-color: $c;
        }
    }
}

.btn {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: 6.5px 16px;
    border: 1px solid;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    line-height: 1.5;
    transition: all 150ms;
    border-radius: 4px;
    width: fit-content;
    font-size: 0.875rem;
    color: #333333;
    background-color: #EFEFEF;
    border-color: #EFEFEF;

    &--sm{
        padding: 6px 12px;
        font-size: 0.75rem
    }

    &--lg{
        padding: 7.5px 20px;
        font-size: 1.125rem
    }

    &--white{
        @include btn-mask(#000000, #ffffff, #ffffff, #000000);

        &-outline{
            @include btn-outline-mask(#fff);

            @media screen and (min-width: 1380px) {
                &:hover{
                    color: #000000;
                }
            }
        }
    }

    &--light{
        @include btn-mask(#333333, #F2F2F2, #323232, #efefef);

        &-outline{
            @include btn-outline-mask(#F2F2F2);

            @media screen and (min-width: 1380px) {
                &:hover{
                    color: #333;
                }
            }
        }
    }

    &--black{
        @include btn-mask(#ffffff, #000000, #000000, #ffffff);

        &-outline{
            @include btn-outline-mask(#000)
        }
    }

    &--dark{
        @include btn-mask(#ffffff, #333333, #ffffff, #1f1f1f);

        &-outline{
            @include btn-outline-mask(#333)
        }
    }

    &--primary{
        @include btn-mask(#ffffff, #2196F3, #ffffff, #1d84d6);

        &-outline{
            @include btn-outline-mask(#2196F3)
        }
    }

    &--success{
        @include btn-mask(#ffffff, #4CAF50, #ffffff, #439a46);

        &-outline{
            @include btn-outline-mask(#4CAF50)
        }
    }

    &--warning{
        @include btn-mask(#ffffff, #FF9800, #ffffff, #e08600);

        &-outline{
            @include btn-outline-mask(#FF9800)
        }
    }

    &--danger{
        @include btn-mask(#ffffff, #e94034, #ffffff, #d23a2f);

        &-outline{
            @include btn-outline-mask(#e94034)
        }
    }

    &--link{
        @include btn-mask(#ffffff, #0066ff, #ffffff, #005ae0);

        &-outline{
            @include btn-outline-mask(#0066ff)
        }
    }

    &:disabled{
        pointer-events: none;
        opacity: 0.50;
    }
}